complexType "Variance"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 13 elements
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | ((initialLevel?, initialLevelSource?) | closingLevel | expiringLevel), expectedN?, varianceAmount, (volatilityStrikePrice | varianceStrikePrice), varianceCap?, unadjustedVarianceCap?, boundedVariance?, exchangeTradedContractNearest?, vegaNotionalAmount?
</...>

Content Model Elements (13):

  boundedVariance, closingLevel, exchangeTradedContractNearest (in variance), expectedN, expiringLevel, initialLevel, initialLevelSource, | unadjustedVarianceCap, varianceAmount, varianceCap, varianceStrikePrice, vegaNotionalAmount, volatilityStrikePrice

All Direct / Indirect Based Elements (1):

  variance

Known Usage Locations

- As direct type of elements (1):
  variance

Annotation
A type describing the variance amount of a variance swap.
Type Definition Detail

Type Derivation Tree CalculationFromObservation (extension) Variance

XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="Variance"> <xsd:complexContent> <xsd:extension base="CalculationFromObservation"> <xsd:sequence> <xsd:element name="varianceAmount" type="NonNegativeMoney"/> <xsd:choice> <xsd:element name="volatilityStrikePrice" type="NonNegativeDecimal"/> <xsd:element name="varianceStrikePrice" type="NonNegativeDecimal"/> </xsd:choice> <xsd:element minOccurs="0" name="varianceCap" type="xsd:boolean"/> <xsd:element minOccurs="0" name="unadjustedVarianceCap" type="PositiveDecimal"/> <xsd:element minOccurs="0" name="boundedVariance" type="BoundedVariance"/> <xsd:element minOccurs="0" name="exchangeTradedContractNearest" type="ExchangeTradedContract"/> <xsd:element minOccurs="0" name="vegaNotionalAmount" type="xsd:decimal"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 8/13)
boundedVariance

  Type: | BoundedVariance, complex content

  Conditions which bound variance. The contract specifies one or more boundary levels. These levels are expressed as prices for confirmation purposes Underlyer price must be equal to or higher than Lower Barrier is known as Up Conditional Swap Underlyer price must be equal to or lower than Upper Barrier is known as Down Conditional Swap Underlyer price must be equal to or higher than Lower Barrier and must be equal to or lower than Upper Barrier is known as Barrier Conditional Swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="boundedVariance" type="BoundedVariance"/>

exchangeTradedContractNearest

  Type: | ExchangeTradedContract, complex content

  Specification of the exchange traded contract nearest.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exchangeTradedContractNearest" type="ExchangeTradedContract"/>

unadjustedVarianceCap

  Type: | PositiveDecimal, simple content

  For use when varianceCap is applicable. Contains the scaling factor of the Variance Cap that can differ on a trade-by-trade basis in the European market. For example, a Variance Cap of 2.5^2 x Variance Strike Price has an unadjustedVarianceCap of 2.5.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="unadjustedVarianceCap" type="PositiveDecimal"/>

varianceAmount

  Type: | NonNegativeMoney, complex content

  Variance amount, which is a cash multiplier.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="varianceAmount" type="NonNegativeMoney"/>

varianceCap

  Type: | xsd:boolean, predefined, simple content

  If present and true, then variance cap is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="varianceCap" type="xsd:boolean"/>

varianceStrikePrice

  Type: | NonNegativeDecimal, simple content

  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (see within schema source)

  <xsd:element name="varianceStrikePrice" type="NonNegativeDecimal"/>

vegaNotionalAmount

  Type: | xsd:decimal, predefined, simple content

  Vega Notional represents the approximate gain/loss at maturity for a 1% difference between RVol (realised vol) and KVol (strike vol). It does not necessarily represent the Vega Risk of the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="vegaNotionalAmount" type="xsd:decimal"/>

volatilityStrikePrice

  Type: | NonNegativeDecimal, simple content

  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (see within schema source)

  <xsd:element name="volatilityStrikePrice" type="NonNegativeDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.